JarDependenciesConfigurer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.config
[Java] Class JarDependenciesConfigurer

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.resolve.config.AbstractDependencyManagementConfigurer
              org.codehaus.groovy.grails.resolve.config.AbstractDependenciesConfigurer
                  org.codehaus.groovy.grails.resolve.config.JarDependenciesConfigurer

    public class JarDependenciesConfigurer
    extends AbstractDependenciesConfigurer

Field Summary

Fields inherited from class AbstractDependencyManagementConfigurer
context

Constructor Summary
`JarDependenciesConfigurer(DependencyConfigurationContext context)`

Method Summary
`protected void` | `addArtifacts(java.lang.String scope, EnhancedDefaultDependencyDescriptor dependencyDescriptor)`
`protected void` | `addDependency(java.lang.String scope, EnhancedDefaultDependencyDescriptor descriptor)`
`protected void` | `handleExport(EnhancedDefaultDependencyDescriptor descriptor, java.lang.Boolean export)`

Methods inherited from class AbstractDependenciesConfigurer
addArtifacts, addDependency, getExportSetting, handleExport, invokeMethod, preprocessDependencyProperties

Methods inherited from class AbstractDependencyManagementConfigurer
getContext, getDependencyManager, getGrailsCoreDependencies

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### JarDependenciesConfigurer

    public JarDependenciesConfigurer(DependencyConfigurationContext context)

Method Detail

### addArtifacts

    @java.lang.Override
    protected void addArtifacts(java.lang.String scope, EnhancedDefaultDependencyDescriptor dependencyDescriptor)

### addDependency

    @java.lang.Override
    protected void addDependency(java.lang.String scope, EnhancedDefaultDependencyDescriptor descriptor)

### handleExport

    @java.lang.Override
    protected void handleExport(EnhancedDefaultDependencyDescriptor descriptor, java.lang.Boolean export)

Groovy Documentation